> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept docs draft

> Merge the draft. EDIT writes a new version of the article; CREATE materializes a new (unpublished) article; DELETE soft-deletes the article. Returns `superseded` instead of `accepted` when the draft no longer applies cleanly.



## OpenAPI

````yaml post /docs/drafts/{id}/accept
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /docs/drafts/{id}/accept:
    post:
      tags:
        - docs
      summary: Accept docs draft
      description: >-
        Merge the draft. EDIT writes a new version of the article; CREATE
        materializes a new (unpublished) article; DELETE soft-deletes the
        article. Returns `superseded` instead of `accepted` when the draft no
        longer applies cleanly.
      operationId: docs-acceptDraft
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - draft
                      - open
                      - accepted
                      - rejected
                      - superseded
                  article_id:
                    type: string
                    nullable: true
                  applied_version_id:
                    type: string
                    nullable: true
                required:
                  - id
                  - status
                  - article_id
                  - applied_version_id
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````